## charm-tools 0.3+85

=== Makefile ===
DESTDIR = 
prefix = /usr
DDIR = $(DESTDIR)$(prefix)
bindir = $(DDIR)/bin
mandir = $(DDIR)/share/man/man1
datadir = $(DDIR)/share/charm-tools
helperdir = $(DDIR)/share/charm-helper
INSTALL = install

all:

install:
	$(INSTALL) -d $(mandir)
	$(INSTALL) -t $(mandir) charm.1
	$(INSTALL) -d $(datadir)
	$(INSTALL) -t $(datadir) charm
	$(INSTALL) -d $(bindir)
	$(INSTALL) -d $(helperdir)
	ln -sf $(datadir)/charm $(bindir)
	gzip $(mandir)/charm.1
	cp -rf scripts templates $(datadir)
	cp -rf helpers/* $(helperdir)

## charm-tools 0.3%2b121

=== debian/changelog ===
charm-tools (0.3+121-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Build-Depend on pwgen, openssh, and rsync for tests.

 -- Clint Byrum <clint@ubuntu.com>  Thu, 19 Jan 2012 12:52:59 -0800

charm-tools (0.3+92-0ubuntu1) precise; urgency=low

  * New upstream release.
  * d/control: adding python as build-dep to fix FTBFS
  * d/control: removing bash build-dep as its part of build-essential

 -- Clint Byrum <clint@ubuntu.com>  Tue, 13 Dec 2011 12:55:09 -0800

charm-tools (0.3+91-0ubuntu1) precise; urgency=low

  * New upstream release.
  * d/control: adding wget and bash as build-deps to run tests.

 -- Clint Byrum <clint@ubuntu.com>  Tue, 13 Dec 2011 09:46:23 -0800

charm-tools (0.3+85-0ubuntu1) precise; urgency=low

  * Initial release

 -- Clint Byrum <clint@ubuntu.com>  Thu, 02 Jun 2011 12:12:39 -0700

=== debian/control ===
Source: charm-tools
Section: net
Priority: optional
Maintainer: Clint Byrum <clint@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), wget, python, pwgen, openssh-server, openssh-client, rsync
Standards-Version: 3.9.2
Homepage: https://launchpad.net/charm-tools

Package: charm-tools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, bzr, mr, python, python-apt, python-cheetah, python-launchpadlib, curl
Breaks: principia-tools
Replaces: principia-tools
Recommends: juju
Description: tools for maintaining Juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains specific tools for charm development.
 .
 Note that juju was formerly called "Ensemble" and charms were called
 "formulas".

Package: charm-helper-sh
Architecture: all
Depends: wget, bind9-host, ${misc:Depends}
Suggests: juju
Provides: charm-helper-bash
Description: shell script helpers for use in juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains helper scripts for use in simplifying charms
 written using sh/bash scripts.

## charm-tools 0.3+85

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Clint Byrum <clint@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), wget, python, pwgen, openssh-server, openssh-client, rsync
+Build-Depends: debhelper (>= 7.0.50~)
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/charm-tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_install:
	dh_install --fail-missing

## charm-tools 0.3+92

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all:
 
-install:
+install: check
 	$(INSTALL) -d $(mandir)
 	$(INSTALL) -t $(mandir) charm.1
 	$(INSTALL) -d $(datadir)
@@ -20,3 +20,8 @@
 	gzip $(mandir)/charm.1
 	cp -rf scripts templates $(datadir)
 	cp -rf helpers/* $(helperdir)
+
+check:
+	tests/helpers/helpers.sh || sh -x tests/helpers/helpers.sh
+	@echo Test shell helpers with bash
+	bash tests/helpers/helpers.sh || bash -x tests/helpers/helpers.sh

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Clint Byrum <clint@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper (>= 7.0.50~), wget, python
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/charm-tools

## charm-tools 0.3+121

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 all:
 
-install: check
+install:
 	$(INSTALL) -d $(mandir)
 	$(INSTALL) -t $(mandir) charm.1
 	$(INSTALL) -d $(datadir)
@@ -22,6 +22,6 @@
 	cp -rf helpers/* $(helperdir)
 
 check:
-	tests/helpers/helpers.sh || sh -x tests/helpers/helpers.sh
+	tests/helpers/helpers.sh || sh -x tests/helpers/helpers.sh timeout
 	@echo Test shell helpers with bash
-	bash tests/helpers/helpers.sh || bash -x tests/helpers/helpers.sh
+	bash tests/helpers/helpers.sh || bash -x tests/helpers/helpers.sh timeout

=== debian/changelog ===
charm-tools (0.3+121-0ubuntu1.1) precise; urgency=medium

  [ Marco Ceppi ]
  * Do not recommend juju, in order to unbreak juju-core users
    (LP: #1182905).

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 11 Mar 2014 14:33:50 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: Clint Byrum <clint@ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), wget, python
+Build-Depends: debhelper (>= 7.0.50~), wget, python, pwgen, openssh-server, openssh-client, rsync
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/charm-tools
 
@@ -11,7 +11,7 @@
 Depends: ${misc:Depends}, ${python:Depends}, bzr, mr, python, python-apt, python-cheetah, python-launchpadlib, curl
 Breaks: principia-tools
 Replaces: principia-tools
-Recommends: juju
+Suggests: juju
 Description: tools for maintaining Juju charms
  This project is a set of tools for authoring and maintaining charms in
  the Juju charms distribution.

## charm-tools 0.3+151

=== Makefile ===
--- 
+++ 
@@ -5,6 +5,7 @@
 mandir = $(DDIR)/share/man/man1
 datadir = $(DDIR)/share/charm-tools
 helperdir = $(DDIR)/share/charm-helper
+confdir = $(DESTDIR)/etc
 INSTALL = install
 
 all:
@@ -16,6 +17,8 @@
 	$(INSTALL) -t $(datadir) charm
 	$(INSTALL) -d $(bindir)
 	$(INSTALL) -d $(helperdir)
+	$(INSTALL) -d $(confdir)/bash_completion.d
+	$(INSTALL) misc/bash-completion $(confdir)/bash_completion.d/charm
 	ln -sf $(datadir)/charm $(bindir)
 	gzip $(mandir)/charm.1
 	cp -rf scripts templates $(datadir)
@@ -25,3 +28,6 @@
 	tests/helpers/helpers.sh || sh -x tests/helpers/helpers.sh timeout
 	@echo Test shell helpers with bash
 	bash tests/helpers/helpers.sh || bash -x tests/helpers/helpers.sh timeout
+	@echo Test charm proof
+	tests/proof/test.sh
+	tests/create/test.sh

=== debian/changelog ===
charm-tools (0.3+151-0ubuntu2) saucy; urgency=low

  * Build-Depend on pep8
  * charm-tools recommend juju-core OR juju (LP: #1182905)
  * charm-tools-sh suggest juju-core OR juju

 -- Marco Ceppi <marco.ceppi@canonical.com>  Mon, 27 May 2013 12:50:13 +0200

charm-tools (0.3+151-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * build-dep on python-yaml so charm proof tests can be run.
  * buid-dep on python-apt and python-cheetah to enable new upstream
    tests.
  * d/charm-tools.install: Install etc/* to pick up bash completion.

 -- Clint Byrum <clint@ubuntu.com>  Mon, 23 Jul 2012 13:52:08 -0700

=== debian/control ===
Source: charm-tools
Section: net
Priority: optional
Maintainer: Clint Byrum <clint@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~), wget, python, pwgen, openssh-server, openssh-client, rsync, python-setuptools ( >= 0.6c11~ ), python-yaml, python-apt, python-cheetah, pep8, python-simplejson, python-testtools, python-shelltoolbox
Standards-Version: 3.9.2
Homepage: https://launchpad.net/charm-tools

Package: charm-tools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, bzr, mr, python, python-apt, python-cheetah, python-launchpadlib, curl, python-yaml
Breaks: principia-tools
Replaces: principia-tools
Recommends: juju-core | juju
Description: tools for maintaining Juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains specific tools for charm development.
 .
 Note that juju was formerly called "Ensemble" and charms were called
 "formulas".

Package: charm-helper-sh
Architecture: all
Depends: wget, bind9-host, ${misc:Depends}
Suggests: juju-core | juju
Provides: charm-helper-bash
Description: shell script helpers for use in juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains helper scripts for use in simplifying charms
 written using sh/bash scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

override_dh_install: build
	dh_install --fail-missing

override_dh_clean:
	dh_clean

## charm-tools 1.0.0

=== debian/changelog ===
charm-tools (1.0.0-0ubuntu2) saucy; urgency=low

  * d/control: Added markdown, setuptools deps (LP: #1231441)

 -- Marco Ceppi <marco@ceppi.net>  Fri, 04 Oct 2013 13:54:46 -0400

charm-tools (1.0.0-0ubuntu1) saucy; urgency=low

  [ Marco Ceppi ]
  * New upstream release (LP: #1230178).

  [ James Page ]
  * d/copyright: Refreshed against new upstream release.
  * d/*: Wrap and sort.

 -- James Page <james.page@ubuntu.com>  Fri, 27 Sep 2013 17:35:02 +0100

=== debian/control ===
Source: charm-tools
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Ceppi <marco@ceppi.net>
Build-Depends:
 debhelper (>= 7.4.3),
 python-all (>= 2.6.6-3),
 python-setuptools (>= 0.6b3)
Standards-Version: 3.9.4
Homepage: https://launchpad.net/charm-tools

Package: charm-tools
Architecture: all
Section: net
Priority: optional
Depends:
 python-apt,
 python-bzrlib,
 python-cheetah,
 python-launchpadlib,
 python-simplejson,
 python-testresources,
 python-yaml,
 python-setuptools,
 python-markdown,
 ${misc:Depends},
 ${python:Depends}
Breaks: principia-tools
recommends: juju-core | juju
Description: Tools for maintaining Juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains specific tools for charm development.
 .
 Note that juju was formerly called "Ensemble" and charms were called
 "formulas".

## charm-tools 2.1.2

=== charmtools/templates/ansible/files/Makefile ===
#!/usr/bin/make

build: virtualenv lint test

virtualenv: .venv/bin/python
.venv/bin/python:
	sudo apt-get install python-virtualenv
	virtualenv .venv
	.venv/bin/pip install nose flake8 mock pyyaml

lint:
	@.venv/bin/flake8 hooks unit_tests
	@charm proof

test:
	@echo Starting tests...
	@CHARM_DIR=. PYTHONPATH=./hooks .venv/bin/nosetests --nologcapture unit_tests

sync-charm-helpers:
	@.venv/bin/python scripts/charm_helpers_sync.py -c charm-helpers.yaml

clean:
	rm -rf .venv
	find -name *.pyc -delete

=== debian/changelog ===
charm-tools (2.1.2-0ubuntu4) xenial; urgency=medium

  * d/control: Add more runtime dependencies to BD's to avoid guessing
    of dependencies (LP: #1569630).

 -- James Page <james.page@ubuntu.com>  Wed, 13 Apr 2016 09:38:00 +0100

charm-tools (2.1.2-0ubuntu3) xenial; urgency=medium

  * d/control: Add all runtime dependencies to BD's to ensure that
    backports to 14.04 don't incorrectly guess path.py (LP: #1569630).

 -- James Page <james.page@ubuntu.com>  Wed, 13 Apr 2016 09:01:08 +0100

charm-tools (2.1.2-0ubuntu2) xenial; urgency=medium

  * d/control: Depends python-ruamel.yaml, python-otherstuf, python-pathspec

 -- Marco Ceppi <marco@ceppi.net>  Tue, 12 Apr 2016 14:48:22 -0400

charm-tools (2.1.2-0ubuntu1) xenial; urgency=medium

  * New upstream release to support Juju 2.0 (LP: #1546776).

 -- Marco Ceppi <marco@ceppi.net>  Tue, 12 Apr 2016 11:09:22 +0100

=== debian/control ===
Source: charm-tools
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco Ceppi <marco@ceppi.net>
Build-Depends: debhelper (>= 9~),
               dh-python,
               python-all (>= 2.6.6-3),
               python-apt,
               python-blessings,
               python-cheetah,
               python-colander,
               python-jsonschema,
               python-jujubundlelib,
               python-launchpadlib,
               python-libcharmstore (>= 0.0.3),
               python-markdown,
               python-otherstuf,
               python-paramiko,
               python-parse (>= 1.6.6),
               python-path,
               python-pathspec,
               python-pip,
               python-ruamel.yaml,
               python-setuptools,
               python-simplejson,
               python-testresources,
               python-virtualenv,
               python-yaml (>= 3.11)
Standards-Version: 3.9.6
Homepage: https://github.com/juju/charm-tools

Package: charm-tools
Architecture: all
Section: net
Priority: optional
Depends: bzr,
         charm (>= 2.0.0),
         git-core,
         python-apt,
         python-cheetah,
         python-jujubundlelib,
         python-launchpadlib,
         python-libcharmstore (>= 0.0.3),
         python-markdown,
         python-otherstuf,
         python-parse (>= 1.6.6),
         python-pathspec,
         python-ruamel.yaml,
         python-setuptools,
         python-simplejson,
         python-testresources,
         python-yaml (>= 3.11),
         ${misc:Depends},
         ${python:Depends}
Recommends: juju2 | juju
Description: Tools for maintaining Juju charms
 This project is a set of tools for authoring and maintaining charms in
 the Juju charms distribution.
 .
 This package contains specific tools for charm development.

=== debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.6.0+git at
# Mon, 23 Sep 2013 17:36:46 -0400

%:
	dh $@ --with python2 --buildsystem=python_distutils
